Package org.bukkit.inventory.meta

# Interface LeatherArmorMeta

All Superinterfaces:
  `Cloneable`, `ConfigurationSerializable`, `ItemMeta`, `PersistentDataHolder`

public interface LeatherArmorMeta extends ItemMeta
Represents leather armor (`Material.LEATHER_BOOTS`, `Material.LEATHER_CHESTPLATE`, `Material.LEATHER_HELMET`, or `Material.LEATHER_LEGGINGS`) that can be colored.

## Method Summary

Modifier and Type
Method
Description
`@NotNull LeatherArmorMeta`
`clone()`
`@NotNull Color`
`getColor()`
Gets the color of the armor.
`void`
`setColor(@Nullable Color color)`
Sets the color of the armor.

### Methods inherited from interface org.bukkit.configuration.serialization.ConfigurationSerializable

`serialize`

### Methods inherited from interface org.bukkit.inventory.meta.ItemMeta

`addAttributeModifier, addEnchant, addItemFlags, displayName, displayName, getAsString, getAttributeModifiers, getAttributeModifiers, getAttributeModifiers, getCanDestroy, getCanPlaceOn, getCustomModelData, getCustomTagContainer, getDestroyableKeys, getDisplayName, getDisplayNameComponent, getEnchantLevel, getEnchants, getItemFlags, getLocalizedName, getLore, getLoreComponents, getPlaceableKeys, hasAttributeModifiers, hasConflictingEnchant, hasCustomModelData, hasDestroyableKeys, hasDisplayName, hasEnchant, hasEnchants, hasItemFlag, hasLocalizedName, hasLore, hasPlaceableKeys, isUnbreakable, lore, lore, removeAttributeModifier, removeAttributeModifier, removeAttributeModifier, removeEnchant, removeItemFlags, setAttributeModifiers, setCanDestroy, setCanPlaceOn, setCustomModelData, setDestroyableKeys, setDisplayName, setDisplayNameComponent, setLocalizedName, setLore, setLoreComponents, setPlaceableKeys, setUnbreakable, setVersion`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

## Method Details

### getColor

@NotNull @NotNull Color getColor()
Gets the color of the armor. If it has not been set otherwise, it will be `ItemFactory.getDefaultLeatherColor()`.

Returns:
  the color of the armor, never null

### setColor

void setColor(@Nullable @Nullable Color color)
Sets the color of the armor.

Parameters:
  `color` - the color to set. Setting it to null is equivalent to setting it to `ItemFactory.getDefaultLeatherColor()`.

### clone

@NotNull @NotNull LeatherArmorMeta clone()

Specified by:
  `clone` in interface `ItemMeta`